Package org.apache.avro.perf.test.basic.jmh_generated

# Class ExtendedEnumTest_TestStateEncode_jmhType_B1

java.lang.Object
org.apache.avro.perf.test.BasicState
org.apache.avro.perf.test.basic.ExtendedEnumTest.TestStateEncode
org.apache.avro.perf.test.basic.jmh_generated.ExtendedEnumTest_TestStateEncode_jmhType_B1

Direct Known Subclasses:
  `ExtendedEnumTest_TestStateEncode_jmhType_B2`

public class ExtendedEnumTest_TestStateEncode_jmhType_B1 extends ExtendedEnumTest.TestStateEncode

## Field Summary

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`ExtendedEnumTest_TestStateEncode_jmhType_B1()`

## Method Summary

### Methods inherited from class org.apache.avro.perf.test.basic.ExtendedEnumTest.TestStateEncode

`doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtendedEnumTest_TestStateEncode_jmhType_B1

public ExtendedEnumTest_TestStateEncode_jmhType_B1()